Subject: Re: [PATCH net-next 1/2] net: phy: add core phylib sfp support

From: Andrew Lunn <[email-masked]>
Date: Sun, 10 Nov 2019 18:00:40 +0100

On Sun, Nov 10, 2019 at 04:40:07PM +0000, Russell King - ARM Linux admin wrote:
> On Sun, Nov 10, 2019 at 05:13:07PM +0100, Andrew Lunn wrote:
> > On Sun, Nov 10, 2019 at 02:23:05PM +0000, Russell King wrote:
> > > Add core phylib help for supporting SFP sockets on PHYs.  This provides
> > > a mechanism to inform the SFP layer about PHY up/down events, and also
> > > unregister the SFP bus when the PHY is going away.
> > 
> > Hi Russell
> > 
> > What does the device tree binding look like? I think you have SFP
> > proprieties in the PHYs node?
> 
> Correct, just the same as network devices.  Hmm, however, neither are
> documented... oh dear, it looks like I need to figure out how this
> yaml stuff works. :(

Yes, that would be good. I also assume you have at least one DT patch
for one of the Marvell boards? Seeing that would also help.

FYI: It is good to see this feature added. It has been blocked for a
long time, but this implementation is actually nice and simple.

Thanks
	Andrew